mutation createCategory(
  $categoryId: String!
  $label: String!
  $icon: String
) @auth(level: USER) {
  category_insert(
    data: {
      categoryId: $categoryId
      label: $label
      icon: $icon
    }
  ) 
}

mutation updateCategory(
  $id: UUID!
  $categoryId: String
  $label: String
  $icon: String
) @auth(level: USER) {
  category_update(
    id: $id
    data: {
      categoryId: $categoryId
      label: $label
      icon: $icon
    }
  ) 
}


mutation deleteCategory($id: UUID!) @auth(level: USER) {
  category_delete(id: $id) 
}
